Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# DWBPackageInstaller Class Reference

Inherits direct::gui::DirectWaitBar::DirectWaitBar, and direct::p3d::PackageInstaller::PackageInstaller.

List of all members.

## Public Member Functions
def | __init__
def | cleanup
def | destroy
def | downloadFinished
def | downloadProgress
def | packageProgress
def | packageStarted

## Detailed Description

    This class presents a PackageInstaller that also inherits from
    DirectWaitBar, so it updates its own GUI as it downloads.

    Specify perPackage = True to make the progress bar reset for each
    package, or False (the default) to show one continuous progress
    bar for all packages.

    Specify updateText = True (the default) to update the text label
    with the name of the package or False to leave it up to you to set
    it.

    You can specify a callback function with finished = func; this
    function will be called, with one boolean parameter, when the
    download has completed.  The parameter will be true on success, or
    false on failure.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | appRunner,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

## Member Function Documentation

def cleanup | ( |  | self | ) |

def destroy | ( |  | self | ) |

def downloadFinished | ( |  | self,
|  |  | success
| ) |  |

    This callback is made when all of the packages have been
    downloaded and installed (or there has been some failure).  If
    all packages where successfully installed, success is True.

    If there were no packages that required downloading, this
    callback will be made immediately, *without* a corresponding
    call to downloadStarted().

def downloadProgress | ( |  | self,
|  |  | overallProgress
| ) |  |

    This callback is made repeatedly between downloadStarted()
    and downloadFinished() to update the current progress through
    all packages.  The progress value ranges from 0 (beginning) to
    1 (complete).

def packageProgress | ( |  | self,
|  |  | package,
|  |  | progress
| ) |  |

    This callback is made repeatedly between packageStarted()
    and packageFinished() to update the current progress on the
    indicated package only.  The progress value ranges from 0
    (beginning) to 1 (complete).

def packageStarted | ( |  | self,
|  |  | package
| ) |  |

    This callback is made for each package between
    downloadStarted() and downloadFinished() to indicate the start
    of a new package.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties